﻿using CommunityToolkit.Mvvm.ComponentModel;
using SocialEducatorAvalonia.ViewModels;

namespace SocialEducatorAvalonia.Utilities
{
    /// <summary>
    /// Используется для смены страницы/активности
    /// </summary>
    public partial class PageSwitcher : ObservableObject
    {
        /// <summary>
        /// Текущая отображаемая страница
        /// </summary>
        [ObservableProperty]
        private ViewModelBase? _view = null;
    }
}