﻿using System;
using System.Collections.Generic;

namespace SocialEducatorAvalonia.Models;

public partial class Student
{
    public int StudentId { get; set; }

    public string Name { get; set; } = null!;

    public string Surname { get; set; } = null!;

    public int StudentGroupId { get; set; }

    public string? Patronymic { get; set; }

    public short? AdmissionDate { get; set; }

    public int StudentStatusId { get; set; }

    public string? Fio { get; set; }

    public virtual Group StudentGroup { get; set; } = null!;

    public virtual StudentsStatus StudentStatus { get; set; } = null!;

    public virtual ICollection<StudentsAndPayment> StudentsAndPayments { get; set; } = new List<StudentsAndPayment>();
}
